Show / Hide Table of Contents

# Struct ImPlotInputMapPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPlotInputMapPtr

### Constructors

| Improve this Doc View Source

#### ImPlotInputMapPtr(ImPlotInputMap*)

##### Declaration

    public ImPlotInputMapPtr(ImPlotInputMap*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotInputMap* | nativePtr |

| Improve this Doc View Source

#### ImPlotInputMapPtr(IntPtr)

##### Declaration

    public ImPlotInputMapPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Fit

##### Declaration

    public readonly ref ImGuiMouseButton Fit { get; }

##### Property Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### Menu

##### Declaration

    public readonly ref ImGuiMouseButton Menu { get; }

##### Property Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImPlotInputMap*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImPlotInputMap* |

| Improve this Doc View Source

#### OverrideMod

##### Declaration

    public readonly ref ImGuiModFlags OverrideMod { get; }

##### Property Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### Pan

##### Declaration

    public readonly ref ImGuiMouseButton Pan { get; }

##### Property Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### PanMod

##### Declaration

    public readonly ref ImGuiModFlags PanMod { get; }

##### Property Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### Select

##### Declaration

    public readonly ref ImGuiMouseButton Select { get; }

##### Property Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### SelectCancel

##### Declaration

    public readonly ref ImGuiMouseButton SelectCancel { get; }

##### Property Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### SelectHorzMod

##### Declaration

    public readonly ref ImGuiModFlags SelectHorzMod { get; }

##### Property Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### SelectMod

##### Declaration

    public readonly ref ImGuiModFlags SelectMod { get; }

##### Property Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### SelectVertMod

##### Declaration

    public readonly ref ImGuiModFlags SelectVertMod { get; }

##### Property Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### ZoomMod

##### Declaration

    public readonly ref ImGuiModFlags ZoomMod { get; }

##### Property Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### ZoomRate

##### Declaration

    public readonly ref float ZoomRate { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImPlotInputMap* to ImPlotInputMapPtr)

##### Declaration

    public static implicit operator ImPlotInputMapPtr(ImPlotInputMap*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotInputMap* | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotInputMapPtr |

| Improve this Doc View Source

#### Implicit(ImPlotInputMapPtr to ImPlotInputMap*)

##### Declaration

    public static implicit operator ImPlotInputMap*(ImPlotInputMapPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotInputMapPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImPlotInputMap* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImPlotInputMapPtr)

##### Declaration

    public static implicit operator ImPlotInputMapPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotInputMapPtr |